﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace SyncfusionMvcApplication5.Models
{
    public class EditableOrder
    {
        public int OrderID { get; set; }

        [Required(ErrorMessage = "O nome deve ser informado!")]
        [StringLength(100, ErrorMessage = "A Senha deve conter no mínimo 6 caracteres.", MinimumLength = 6)]
        [Display(Name = "Nome")]
        public string CustomerID { get; set; }

        [Required(ErrorMessage = "O email deve ser informado!")]
        [Range(1, 9, ErrorMessage = "EmployeeID must be between 0 and 9.")]
        [Display(Name = "EmployeeID")]
        public int? EmployeeID { get; set; }

        [Required(ErrorMessage = "A senha atual deve ser informada!")]
        [StringLength(100, ErrorMessage = "A Senha deve conter no mínimo 6 caracteres.", MinimumLength = 6)]
        [DataType(DataType.Password)]
        public string ShipName { get; set; }

        [Required(ErrorMessage = "A senha deve ser informada!")]
        [StringLength(100, ErrorMessage = "A Senha deve conter no mínimo 6 caracteres.", MinimumLength = 6)]
        [DataType(DataType.Password)]
        public string ShipCity { get; set; }

        [DataType(DataType.Password)]
        [Display(Name = "Confirmar Senha")]
        [Compare("ShipCity", ErrorMessage = "A senha digitada não confere com a senha informada acima.")]
        public string ShipAddress { get; set; }
    }
}