ej.addCulture
    ("pt-BR",
    {
        name: "pt-BR",
        englishName: "Portuguese (Brazil)",
        nativeName: "Português (Brasil)",
        language: "pt",
        numberFormat: {
            ",": ".",
            ".": ",",
            NaN: "NaN (Não é um número)",
            negativeInfinity: "-Infinito",
            positiveInfinity: "+Infinito",
            percent: {
                pattern: ["-n%", "n%"],
                ",": ".", ".": ","
            },
            currency: {
                pattern: ["-$ n", "$ n"],
                ",": ".", ".": ",",
                symbol: "R$"
            }
        },
        calendars: {
            standard: {
                days: {
                    names:
                        ["domingo",
                        "segunda-feira",
                        "terça-feira",
                        "quarta-feira",
                        "quinta-feira",
                        "sexta-feira",
                        "sábado"],
                    namesAbbr:
                        ["dom",
                        "seg",
                        "ter",
                        "qua",
                        "qui",
                        "sex",
                        "sáb"],
                    namesShort: ["D", "S", "T", "Q", "Q", "S", "S"]
                },
                months: {
                    names:
                        ["janeiro",
                        "fevereiro",
                        "março",
                        "abril",
                        "maio",
                        "junho",
                        "julho",
                        "agosto",
                        "setembro",
                        "outubro",
                        "novembro",
                        "dezembro",
                        ""],
                    namesAbbr:
                        ["jan",
                        "fev",
                        "mar",
                        "abr",
                        "mai",
                        "jun",
                        "jul",
                        "ago",
                        "set",
                        "out",
                        "nov",
                        "dez",
                        ""]
                },
                AM: null,
                PM: null,
                patterns: {
                    d: "dd/MM/yyyy",
                    D: "dddd, d' de 'MMMM' de 'yyyy",
                    t: "HH:mm",
                    T: "HH:mm:ss",
                    f: "dddd, d' de 'MMMM' de 'yyyy HH:mm",
                    F: "dddd, d' de 'MMMM' de 'yyyy HH:mm:ss",
                    M: "d' de 'MMMM",
                    Y: "MMMM' de 'yyyy"
                }
            }
        }
    });

ej.Pager.Locale["pt-BR"] = {
    pagerInfo: "{0} de {1} páginas ({2} itens)",
    firstPageTooltip: "Primeira Página",
    lastPageTooltip: "Última Página",
    nextPageTooltip: "Próxima Página",
    previousPageTooltip: "Página Anterior",
    nextPagerTooltip: "Go to next Pager",
    previousPagerTooltip: "Go to previous Pager"
};

ej.DatePicker.Locale["pt-BR"] = {
    buttonText: "Hoje"
};

ej.Grid.Locale["pt-BR"] = {
    EmptyRecord: "Nenhum registro foi encontrado",
    GroupDropArea: "Drag a column header here to group its column",
    DeleteOperationAlert: "Nenhum registro foi selecionado para a operação de remoção",
    EditOperationAlert: "Nenhum registro foi selecionado para a operação de edição",
    SaveButton: "Salvar",
    OkButton: "OK",
    CancelButton: "Cancelar",
    EditFormTitle: "Alterar fatura ",
    AddFormTitle: "Adicionar nova fatura",
    Notactionkeyalert: "This Key-Combination is not available",
    Keyconfigalerttext: "This Key-Combination has already been assigned to ",
    GroupCaptionFormat: "{{:headerText}}: {{:key}} - {{:count}} {{if count == 1 }} item {{else}} items {{/if}} ",
    BatchSaveConfirm: "Deseja salvar as alterações?",
    BatchSaveLostChanges: "Mudanças não salvas serão perdidas. Deseja continuar?",
    ConfirmDelete: "Deseja apagar os dados selecionados?",
    CancelEdit: "Deseja cancelar a edição dos campos?",
    PagerInfo: "{0} of {1} pages ({2} itens)",
    FrozenColumnsViewAlert: "Frozen columns should be in grid view area",
    FrozenColumnsScrollAlert: "Enable allowScrolling while using frozen Columns",
    FrozenNotSupportedException: "Frozen Columns and Rows are not supported for Grouping, Row Template, Detail Template, Hierarchy Grid and Batch Editing",
    Add: "Adicionar",
    Edit: "Editar",
    Delete: "Remover",
    Update: "Salvar",
    Cancel: "Cancelar",
    Done: "Ok",
    Columns: "Columns",
    SelectAll: "(Select All)",
    PrintGrid: "Print",
    ExcelExport: "Excel Export",
    WordExport: "Word Export",
    PdfExport: "PDF Export",
    StringMenuOptions: [{
        text: "StartsWith",
        value: "StartsWith"
    },
        {
            text: "EndsWith",
            value: "EndsWith"
        },
        {
            text: "Contains",
            value: "Contains"
        },
        {
            text: "Equal",
            value: "Equal"
        },
        {
            text: "NotEqual",
            value: "NotEqual"
        }],
    NumberMenuOptions: [{ text: "LessThan", value: "LessThan" },
        {
            text: "GreaterThan",
            value: "GreaterThan"
        },
        {
            text: "LessThanOrEqual",
            value: "LessThanOrEqual"
        },
        {
            text: "GreaterThanOrEqual",
            value: "GreaterThanOrEqual"
        },
        {
            text: "Equal",
            value: "Equal"
        },
        {
            text: "NotEqual",
            value: "NotEqual"
        }],
    PredicateAnd: "AND",
    PredicateOr: "OR",
    Filter: "Filter",
    FilterMenuCaption: "Filter Value",
    FilterbarTitle: "'s filter bar cell",
    MatchCase: "Match Case",
    Clear: "Clear",
    ResponsiveFilter: "Filter",
    ResponsiveSorting: "Sort",
    Search: "Pesquisar",
    DatePickerWaterMark: "Selecionar Data",
    EmptyDataSource: "DataSource must not be empty at initial load since columns are generated from dataSource in AutoGenerate Column Grid",
    ForeignKeyAlert: "The updated value should be a valid foreign key value",
    True: "true",
    False: "false",
    UnGroup: "Click here to ungroup",
    AddRecord: "Add Record",
    EditRecord: "Edit Record",
    DeleteRecord: "Delete Record",
    Save: "Salvar",
    Grouping: "Group",
    Ungrouping: "Ungroup",
    SortInAscendingOrder: "Sort In Ascending Order",
    SortInDescendingOrder: "Sort In Descending Order",
    NextPage: "Next Page",
    PreviousPage: "Previous Page",
    FirstPage: "First Page",
    LastPage: "Last Page",
    EmptyRowValidationMessage: "Atleast one field must be updated",
    NoResult: "No Matches Found"
};
